%define name grr
%define version 1.9.7e
%define tbver 197e
%define release 1.beta1
%define httpuser apache

%if %{?fedora}%{?rhel} >= 5
%global useselinux 1
%else
%global useselinux 0
%endif

Summary: Resource Reservations software
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL
URL: http://grr.mutualibre.org/
Group: applications/internet
Source: %{name}%{tbver}.zip
Source1: httpd.conf

Packager: Daniel B. <daniel@firewall-services.com>
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}

Requires: php >= 5
Requires: httpd
#%if %{useselinux}
#Requires: %{_sbindir}/semanage
#%endif

%description
Manage your resources and their reservations

%prep
%setup -q -n %{name}%{tbver}

%build
# empty build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}/%{_datadir}/%{name}
for d in $(find ./ -mindepth 1 -maxdepth 1 -type d -print); do
    cp -r $d %{buildroot}/%{_datadir}/%{name}/
done
cp {*.php,*.html,*.js,*.ico,*.sql} %{buildroot}/%{_datadir}/%{name}/
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/httpd/conf.d
%{__install} -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/%{name}.conf
sed -i -e "s|__ROOT_DIR__|%{_datadir}/%{name}|g" \
       %{buildroot}/%{_sysconfdir}/httpd/conf.d/%{name}.conf

%files
%defattr(-,root,root)
%doc INSTALL.txt license.txt notes-utf8.txt README.txt
%{_datadir}/%{name}
%dir %attr(770,root,%{httpuser}) %{_datadir}/%{name}/include
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf

%changelog
* Tue Feb 5 2013 Daniel B. <daniel@firewall-services.com> 1.9.7e-1
- Initial release

